Skip to main content
GET
/
v1
/
email-messages
/
{emailMessageId}
Get an email message
curl --request GET \
  --url https://app.loops.so/api/v1/email-messages/{emailMessageId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "cmn5zia4i0017tzli8ric8giv",
  "campaignId": "cln0y4p6r003yl70i1j2k3l4m",
  "subject": "Big spring updates",
  "previewText": "A quick look at what's new",
  "fromName": "Loops",
  "fromEmail": "hello@news.example.com",
  "replyToEmail": "support@example.com",
  "emailFormat": "styled",
  "lmx": "<Paragraph>Hello world</Paragraph>",
  "contentRevisionId": "clv8g2x4z012yl70n5o6p7q8r",
  "updatedAt": "2026-03-28T15:20:00.000Z"
}

Request

Path parameters

emailMessageId
string
required
The ID of the email message.

Response

Success

id
string
required
The email message ID.
campaignId
string
The ID of the campaign that owns this email message. Present only when the message belongs to a campaign (mutually exclusive with transactionalId).
transactionalId
string
The ID of the transactional email that owns this email message. Present only when the message belongs to a transactional email (mutually exclusive with campaignId).
subject
string
required
Email subject line.
previewText
string
required
Email preview text.
fromName
string
required
Sender display name.
fromEmail
string
required
Sender email address.
replyToEmail
string
required
Reply-to email address.
ccEmail
string
CC email address. Only present when set.
bccEmail
string
BCC email address. Only present when set.
languageCode
string
Language code for the email. Only present when set.
emailFormat
string
required
The rendering format of the email. One of styled or plain.
lmx
string
required
The email body serialized as LMX.
contentRevisionId
nullable string
required
The current content revision ID. Pass this as expectedRevisionId when updating the message.
updatedAt
string
required
ISO 8601 timestamp for when the message was last updated.
contactPropertiesFallbacks
object
Fallback values for contact properties. Only present when set.
eventPropertiesFallbacks
object
Fallback values for event properties. Only present when set.
dataVariablesFallbacks
object
Fallback values for data variables. Only present when set.

Error

A 400 Bad Request is returned for invalid emailMessageId, or if no sending domain is configured. A 404 Not Found is returned if the email message does not exist. A 409 Conflict is returned when the email message uses MJML format or content cannot be parsed. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "cmn5zia4i0017tzli8ric8giv",
  "campaignId": "cln0y4p6r003yl70i1j2k3l4m",
  "subject": "Big spring updates",
  "previewText": "A quick look at what's new",
  "fromName": "Loops",
  "fromEmail": "hello@news.example.com",
  "replyToEmail": "support@example.com",
  "emailFormat": "styled",
  "lmx": "<Paragraph>Hello world</Paragraph>",
  "contentRevisionId": "clv8g2x4z012yl70n5o6p7q8r",
  "updatedAt": "2026-03-28T15:20:00.000Z"
}
Last modified on June 30, 2026